HierarchicalConfigurationXMLReader (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2, class: HierarchicalConfigurationXMLReader

Package org.apache.commons.configuration2

# Class HierarchicalConfigurationXMLReader<T>

java.lang.Object
org.apache.commons.configuration2.ConfigurationXMLReader
org.apache.commons.configuration2.HierarchicalConfigurationXMLReader<T>

Type Parameters:
  `T` - the type of the nodes supported by this reader

All Implemented Interfaces:
  `XMLReader`

public class HierarchicalConfigurationXMLReader<T> extends ConfigurationXMLReader

A specialized SAX2 XML parser that "parses" hierarchical configuration objects.

This class mimics to be a SAX conform XML parser. Instead of parsing XML documents it processes a `Configuration` object and generates SAX events for the single properties defined there. This enables the whole world of XML processing for configuration objects.

The `HierarchicalConfiguration` object to be parsed can be specified using a constructor or the `setConfiguration()` method. This object will be processed by the `parse()` methods. Note that these methods ignore their argument.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.configuration2.ConfigurationXMLReader

  `NS_URI`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HierarchicalConfigurationXMLReader()`
  Creates a new instance of `HierarchicalConfigurationXMLReader`.
  `HierarchicalConfigurationXMLReader(HierarchicalConfiguration<T> config)`
  Creates a new instance of `HierarchicalConfigurationXMLReader` and sets the configuration to be parsed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HierarchicalConfiguration<T>`
  `getConfiguration()`
  Gets the configuration object to be parsed.
  `Configuration`
  `getParsedConfiguration()`
  Gets the configuration object to be processed.
  `protected void`
  `processKeys()`
  Processes the actual configuration object to generate SAX parsing events.
  `void`
  `setConfiguration(HierarchicalConfiguration<T> config)`
  Sets the configuration object to be parsed.

  ### Methods inherited from class org.apache.commons.configuration2.ConfigurationXMLReader

  `fireCharacters, fireElementEnd, fireElementStart, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getException, getFeature, getProperty, getRootName, parse, parse, parseConfiguration, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty, setRootName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HierarchicalConfigurationXMLReader

    public HierarchicalConfigurationXMLReader()
    Creates a new instance of `HierarchicalConfigurationXMLReader`.

  - ### HierarchicalConfigurationXMLReader

    public HierarchicalConfigurationXMLReader(HierarchicalConfiguration<T> config)
    Creates a new instance of `HierarchicalConfigurationXMLReader` and sets the configuration to be parsed.
    Parameters:
      `config` - the configuration object

- ## Method Details

  - ### getConfiguration

    public HierarchicalConfiguration<T> getConfiguration()
    Gets the configuration object to be parsed.
    Returns:
      the configuration object to be parsed

  - ### getParsedConfiguration

    public Configuration getParsedConfiguration()
    Gets the configuration object to be processed.
    Specified by:
      `getParsedConfiguration` in class `ConfigurationXMLReader`
    Returns:
      the actual configuration object

  - ### processKeys

    protected void processKeys()
    Processes the actual configuration object to generate SAX parsing events.
    Specified by:
      `processKeys` in class `ConfigurationXMLReader`

  - ### setConfiguration

    public void setConfiguration(HierarchicalConfiguration<T> config)
    Sets the configuration object to be parsed.
    Parameters:
      `config` - the configuration object to be parsed